Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615782 - [abrt] crash in telepathy-butterfly-0.5.12-1.fc13: switchboard_manager.py:128:_on_error:NotImplementedError
[abrt] crash in telepathy-butterfly-0.5.12-1.fc13: switchboard_manager.py:128...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:f8467121
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 14:27 EDT by Marcel
Modified: 2011-06-29 15:41 EDT (History)
93 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (709 bytes, text/plain)
2010-07-18 14:27 EDT, Marcel
no flags Details

  None (edit)
Description Marcel 2010-07-18 14:27:05 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.33.6-147.fc13.x86_64
package: telepathy-butterfly-0.5.12-1.fc13
reason: switchboard_manager.py:128:_on_error:NotImplementedError
release: Fedora release 13 (Goddard)

backtrace
-----
switchboard_manager.py:128:_on_error:NotImplementedError

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/switchboard_manager.py", line 84, in <lambda>
    lambda sb, trid: self.__on_message_undelivered(trid))
  File "/usr/lib/python2.6/site-packages/papyon/switchboard_manager.py", line 163, in __on_message_undelivered
    MessageError.DELIVERY_FAILED)
  File "/usr/lib/python2.6/site-packages/papyon/switchboard_manager.py", line 128, in _on_error
    raise NotImplementedError
NotImplementedError

Local variables in innermost frame:
self: <SwitchboardP2PTransport object at 0x193afa0 (papyon+msnp2p+transport+base+BaseP2PTransport at 0x19c3d20)>
error_type: 4
error: 1
Comment 1 Marcel 2010-07-18 14:27:08 EDT
Created attachment 432725 [details]
File: backtrace
Comment 2 Ken O'Brien 2010-07-24 19:59:37 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Login
Comment 3 Adriano Del Vigna 2010-07-25 19:21:05 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Fire up empathy
2.Log in on MSN account
3.I get the system message that lib has crashed


Comment
-----
I only need to start empathy in order to see the lib crash. No special steps. It usually happens when I start empathy for the first time in a desktop session.
Comment 4 nicholas 2010-07-26 16:05:00 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start empathy
2. connect with an msn account
3.


Comment
-----
start empathy and autoconnect with a msn account. does not happen every time
Comment 5 elfus 2010-07-26 21:35:51 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened empathy
2. logged in
3. start chatting


Comment
-----
Empathy continued running with no problems
Comment 6 elfus 2010-07-27 22:52:30 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened empathy
2. logged in
3. start chatting


Comment
-----
Empathy continued running with no problems once again
Comment 7 Pablo 2010-07-29 16:46:00 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Empathy was idle
2.
3.
Comment 8 jIoSEA3lWwiEaAVy3 2010-07-31 19:59:10 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Comment 9 Hervé Marcy 2010-08-01 11:15:34 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. USB wireless adapter "Ralink Technology, Corp. RT2501USB Wireless Adapter" (from lsusb) pulled out from the USB slot and put in another USB slot
2. The wireless network was joined automatically and empathy has detected the connection
3. Crash :(
Comment 10 Ken O'Brien 2010-08-01 11:55:14 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Login
Comment 11 Pang Vern Chia 2010-08-03 20:59:11 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Just open Empathy IM Client. Always get this error.
2.
3.
Comment 12 nicholas 2010-08-04 10:56:57 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open empathy
2. autoconnect with an msn account
3.
Comment 13 Francis Earl 2010-08-06 14:40:26 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I'm not really sure what I did, but this is the 3rd or 4th time in 2 days, and I had similar issues on at least one other distro. Empathy has been running for about 2 days I suppose, contact list doesn't appear to be effected.
Comment 14 Juan Saavedra 2010-08-06 17:39:39 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Connect to the network.
2.
3.


Comment
-----
I've recently opened this account and added from Windows Live Messenger an important amount of contacts a few days ago. Until yesterday everything worked out fine, now when Empathy tries to connect, it shows a "Network Error" red notification and simultanously this error arises.
Comment 15 Hervé Marcy 2010-08-08 14:49:30 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. USB wireless adapter "Ralink Technology, Corp. RT2501USB Wireless Adapter" (from lsusb) pulled out from the USB slot and put in another USB slot
2. The wireless network was joined automatically and empathy has detected the connection
3. Crash :(
Comment 16 Jeff Taylor 2010-08-11 01:52:13 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Empathy
2. Add an account
3.


Comment
-----
This appears to be caused by a stub function in switchboard_manager.py
Comment 17 Abhishek Singh 2010-08-12 03:31:30 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run empathy for a long time


Comment
-----
ABRT reported a crash but nothing happened to Empathy, and it's running well.
Comment 18 francois desfosses 2010-08-17 22:38:23 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
i just started that software for the fiurst time...
Comment 19 zyd.muk 2010-08-18 14:46:22 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.I started Empathy IM Client.
2.The program crashed before starting. 
3.
Comment 20 zyd.muk 2010-08-18 19:50:30 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.I started Empathy IM Client.
2.The program crashed before starting. 
3.
Comment 21 zosy 2010-08-18 20:48:18 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.login
2.
3.
Comment 22 Benjamín Valero Espinosa 2010-08-19 03:50:32 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I have simply started Empathy (that connects to MSN, Gtalk and IRC).
Comment 23 Bugreporta 2010-08-19 10:00:13 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened Empathy
2. Opened Firefox
3. Changed status in empathy
4. Started chatting in Empathy while browsing
5. Left Empathy open and continued browsing (Youtube and others)
6. Crash
Comment 24 Timur Kristóf 2010-08-19 13:03:46 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Fedora 13 (with latest updates)
2. Launch the Empathy IM Client
3. Log in to an MSN account


Comment
-----
Everytime I log in to my MSN account with Empathy, I get this crash.
Comment 25 francois desfosses 2010-08-19 18:30:49 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.fresh boot, started empathy
2.logged on msn
3.


Comment
-----
i just started that software for the fiurst time...
Comment 26 T. ONAY 2010-08-20 05:53:28 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. doing nothing special
2.
3.
Comment 27 Claudio Rodrigo Pereyra DIaz 2010-08-22 22:42:12 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Clouse Emphaty from tray icon
2.
3.
Comment 28 Hervé Marcy 2010-08-23 02:13:23 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Empathy
2.
3.
Comment 29 Jorge 2010-08-23 09:42:29 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. While trying to open aMSN
2.
3.
Comment 30 A. Federico Pérez L. 2010-08-23 13:14:56 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Al iniciar la aplicación después de arrancar la computadora.
2.
3.


Comment
-----
Reinicia automáticamente y trabaja correctamente.
Comment 31 Jeff Taylor 2010-08-24 01:51:52 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Empathy (auto log in).
Comment 32 Ulrich Walczak 2010-08-24 07:38:17 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. close the software
2.
3.
Comment 33 Agosh 2010-08-24 13:15:01 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Ho acceso il computer e si è verificato il crash
1. When i log-in i have see the crash-report
Comment 34 Agosh 2010-08-26 19:53:12 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Ho acceso il computer e si  verificato il crash
1. When i log-in i have see the crash-report
Comment 35 Elias Oliveira de Jesus 2010-08-27 20:19:14 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.clickei no ícone do programa
2.ao abrir 
3.ocorreu o travamento
Comment 36 Giuliano Catrambone 2010-09-01 02:50:48 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.

Just I saw this crash after it started.
Comment 37 Simon Barnes 2010-09-01 19:29:45 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.I Started the Empathy application
2.Abrt then said there was a crash ???
3.Empaty still worked OK though
Comment 38 Sklav 2010-09-02 22:34:31 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Setup and MSN account using telepathy-butterfly using empathy client

2.reproducable when closing the client (quit)

3. Also happens when logged in and sitting idle

4. Has been present since initial release of Fedora 13

5. Updates as of September 2nd 2010 has not resolved this issue.
Comment 39 mithts 2010-09-07 10:12:33 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. happens when logged in. No noticable side effects. This time was after 20 minutes of being logged in.
2.
3.
Comment 40 Owen 2010-09-08 04:09:55 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Happens sometimes, no particular action I can associate with it..
Comment 41 mithts 2010-09-08 11:32:24 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. happens when logged in. No noticable side effects.
2.
3.
Comment 42 Agosh 2010-09-08 14:38:30 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Ho acceso il computer e si  verificato il crash
1. When i log-in i have see the crash-report
Comment 43 Mauro Innocenti 2010-09-09 03:21:34 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. login
2. empathy is configured for start with gnome session (with msn account)
3. after some (random but repetable) time butterfly crash
Comment 44 Nuno Anjos 2010-09-09 05:48:36 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.just a restart
2.
3.
Comment 45 Hervé Marcy 2010-09-09 13:33:35 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. A request to add me as MSN contact arrived
2.
3.
Comment 46 Jeroen Klaassen 2010-09-10 06:23:20 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Every restart 
2.
3.
Comment 47 Onuralp SEZER 2010-09-12 18:06:54 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Just come error I just add a few(facebook,gmail,msn) account and give me error just this
2.
3.
Comment 48 Lancelot Mak 2010-09-16 22:07:47 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
just started
Comment 49 felipeeg10 2010-09-17 01:15:31 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.i just opened the program
2.
3.
Comment 50 Michael Bender 2010-09-17 02:30:40 EDT
Package: telepathy-butterfly-0.5.12-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Branched)


How to reproduce
-----
Happens everytime I log on

Comment
-----
One of the many bugs I've been experiencing.
Comment 51 Michael Bender 2010-09-17 15:56:00 EDT
Package: telepathy-butterfly-0.5.12-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Branched)


How to reproduce
-----
Just logged in.
Comment 52 thunderingexile 2010-09-18 13:12:53 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Received a delayed message from an MSN account on opening of Empathy (I don't know if this is reason for the crash, but other than that I did nothing special)
Comment 53 Toni Korpela 2010-09-18 14:40:05 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. On the first start of Empathy
2.
3.
Comment 54 Joost 2010-09-20 09:47:14 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. 
2.
3.
Comment 55 Andrew Su 2010-09-21 17:32:24 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launch Empathy.
2. Signed in to the MSN protocol.
3. Crash, but program still running, and is connected.
Comment 56 fred 2010-09-22 18:32:37 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
start empathy
Comment 57 Cássio Magno 2010-09-25 08:37:06 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Simplesmente travar ao entrar na conta do msn
2.
3.
Comment 58 Yorkim Parmentier 2010-09-28 03:04:11 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Nothing special
Comment 59 pmodin 2010-09-29 18:36:42 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open empathy
2.
3.
Comment 60 16pide 2010-09-30 02:38:51 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. opened my laptop after it was suspended, and saw the red icon signaling that there had been a crash
2.
3.
Comment 61 Bug Zapper 2011-06-01 09:31:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 62 Bug Zapper 2011-06-29 09:19:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.